package org.jeecg.modules.kuaishou.controller;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import org.jeecg.modules.kuaishou.service.IKuaishouInterfaceService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Map;

@RestController
@RequestMapping("/kuaishou")
public class KuaiShouController {

    @Autowired
    private IKuaishouInterfaceService kuaishouInterfaceService;

    @RequestMapping("/campaignCreate")
    public void campaignCreate() {
        String accessToken = "f60f51a8f7d8938d6147d38357fed70c";
        Long advertiserId = 23212L;
        JSONObject requestJson = new JSONObject();
        requestJson.put("campaign_name", "Test Api");
        requestJson.put("type", 2);
        requestJson.put("day_budget", 0L);
        Map<String, Object> stringObjectMap = kuaishouInterfaceService.campaignCreate(accessToken, advertiserId, requestJson);
        System.err.println(JSON.toJSONString(stringObjectMap));
    }

    /**
     * 创建组
     */
    @RequestMapping("/adUnitCreate")
    public void adUnitCcreate() {
        String accessToken = "f60f51a8f7d8938d6147d38357fed70c";
        Long advertiserId = 23212L;
        JSONObject requestJson = new JSONObject();
        requestJson.put("campaign_id", 4178072L);
        requestJson.put("unit_name", "测试广告组名称");
        requestJson.put("bid_type", 2);
        requestJson.put("bid", 100000);
        // requestJson.put("cpa_bid",100000 );
        // requestJson.put("ocpx_action_type", 2);
        requestJson.put("deep_conversion_type", 3);
        requestJson.put("page", 2);
        requestJson.put("begin_time", "2019-07-24");
        requestJson.put("end_time", "2019-07-25");
        // requestJson.put("schedule", 00000000000000000000000000000);
        requestJson.put("day_budget", 10000000);
        //   requestJson.put("url_type", );
        //   requestJson.put("url", );
        requestJson.put("app_id", 156982);
        requestJson.put("show_mode", 1);
        requestJson.put("speed", 1);


        JSONObject targetJson = new JSONObject();

        //   targetJson.put("region", "");


        JSONObject ageJson = new JSONObject();
        ageJson.put("min", 15);
        ageJson.put("max", 50);
        targetJson.put("age", ageJson);

        targetJson.put("gender", 0);
        targetJson.put("platform_os", 0);
        targetJson.put("android_osv", 3);
        //  targetJson.put("ios_osv", 3);
        targetJson.put("network", 0);


        Map<String, Object> stringObjectMap = kuaishouInterfaceService.adUnitCreate(accessToken, advertiserId, requestJson);
        System.err.println(JSON.toJSONString(stringObjectMap));
    }


    @RequestMapping("/getCampaignList")
    public void getCampaignList() {
        String accessToken = "f60f51a8f7d8938d6147d38357fed70c";
        Long advertiserId = 23212L;
        kuaishouInterfaceService.getCampaignList(accessToken, advertiserId,1);

    }

    @RequestMapping("/getGroupList")
    public void getGroupList() {
        String accessToken = "f60f51a8f7d8938d6147d38357fed70c";
        Long advertiserId = 23212L;
        kuaishouInterfaceService.getGroupList(accessToken, advertiserId,1);

    }

    @RequestMapping("/getCreativeList")
    public void getCreativeList() {
        String accessToken = "f60f51a8f7d8938d6147d38357fed70c";
        Long advertiserId = 23212L;
        kuaishouInterfaceService.getCreativeList(accessToken, advertiserId,1);

    }




}
